package Handler::Javascript;

use strict;
use warnings;
  
use Apache2::RequestRec;
use Apache2::RequestIO;

use Handler::Javascript::Parser;
  
use Apache2::Const -compile => qw/ OK NOT_FOUND /;

sub handler
{
    my ($r) = @_;

    $r->content_type('text/html');

    my $env = $r->subprocess_env();
    my $parser = Handler::Javascript::Parser->new($env);

    if ($parser->parse()) {
        print $parser->output();
        return Apache2::Const::OK;
    } else {
        return Apache2::Const::NOT_FOUND;
    }
}

1;